gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.SetT

Contents

- Exported types
- Methods

Description

Data type for holding a set of integers. `SetT`'s are used to gather and contain glyph IDs, Unicode code points, and various other collections of discrete values.

Synopsis

- newtype SetT = SetT (ManagedPtr SetT)

# Exported types

newtype SetT Source #

Memory-managed wrapper type.

Constructors

SetT (ManagedPtr SetT) |

#### Instances

Instances details

Eq SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods (==) :: SetT -> SetT -> Bool Source # (/=) :: SetT -> SetT -> Bool Source #
GBoxed SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT
ManagedPtrNewtype SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods toManagedPtr :: SetT -> ManagedPtr SetT Source #
TypedObject SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods glibType :: IO GType Source #
HasParentTypes SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT
IsGValue (Maybe SetT) Source # | Convert `SetT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe SetT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe SetT) Source #
type ParentTypes SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT type ParentTypes SetT = '[] :: [Type]

# Methods